For the complete documentation index, see llms.txt. This page is also available as Markdown.

Archipelago

This service is in charge of clustering users according to their position and assigning a connection string that will allow the user to connect to an specifig transport.

List of islands

get
/comms/islands

Retrieves the list of communication islands in the server with details about the peers present in each island.

Responses
200

List of Islands

application/json; charset=utf-8
okbooleanOptional
get/comms/islands
GET /comms/islands HTTP/1.1
Host: peer.decentraland.zone
Accept: */*
200

List of Islands

{
  "ok": true,
  "islands": [
    {
      "id": "I5l",
      "peers": [
        {
          "id": "06f",
          "address": "0x5e5d9d1dfd87e9b8b069b8e5d708db92be5ade99",
          "parcel": [
            0,
            -1
          ],
          "position": [
            12.69494342803955,
            104.27444005012512,
            -5.611218452453613
          ],
          "lastPing": 1629827670429,
          "preferedIslandId": "Ilvs"
        },
        {
          "id": "06g",
          "address": "0x5d543082dbc88ef48d6e4e10da466b4089011a97",
          "parcel": [
            0,
            -1
          ],
          "position": [
            14.994168281555176,
            104.27944493293762,
            -5.502110481262207
          ],
          "lastPing": 1629827671509,
          "preferedIslandId": "Ilvs"
        }
      ],
      "maxPeers": 100,
      "center": [
        13.844555854797363,
        0,
        -5.55666446685791
      ],
      "radius": 1.1509061078560505
    }
  ]
}

Island Details

get
/comms/islands/{islandId}

Retrieve information about the specified islandId

Path parameters
islandIdstringRequired

ID of the Island. You can search for the list of islands using the /comms/islands endpoint.

Example: I5n
Responses
200

Island details

application/json; charset=utf-8
idstringOptional
maxPeersnumberOptional
centernumber[]Optional
radiusnumberOptional
get/comms/islands/{islandId}
GET /comms/islands/{islandId} HTTP/1.1
Host: peer.decentraland.zone
Accept: */*
200

Island details

{
  "id": "I5n",
  "peers": [
    {
      "id": "06h",
      "address": "0x5e5d9d1dfd87e9b8b069b8e5d708db92be5ade99",
      "parcel": [
        0,
        -1
      ],
      "position": [
        12.105399131774902,
        104.28455662727356,
        -4.339361190795898
      ],
      "lastPing": 1629828187587,
      "preferedIslandId": "I5l"
    }
  ],
  "maxPeers": 100,
  "center": [
    12.105399131774902,
    0,
    -4.339361190795898
  ],
  "radius": 0
}

List of peers

get
/comms/peers

Retrieves the list peers in the server with details about their positions and islands.

Responses
200

List of Peers

application/json; charset=utf-8
okbooleanOptional
get/comms/peers
GET /comms/peers HTTP/1.1
Host: peer.decentraland.zone
Accept: */*
200

List of Peers

{
  "ok": true,
  "peers": [
    {
      "id": "06h",
      "address": "0x5e5d9d1dfd87e9b8b069b8e5d708db92be5ade99",
      "parcel": [
        0,
        -1
      ],
      "position": [
        12.105399131774902,
        104.28455662727356,
        -4.339361190795898
      ],
      "lastPing": 1629828217833
    },
    {
      "id": "06i",
      "address": "0xe9bfcbe4ff64d03af9dfcf3fbd54dba58b4a4730",
      "parcel": [
        1,
        -1
      ],
      "position": [
        19.152772903442383,
        104.28796696662903,
        -4.191743850708008
      ],
      "lastPing": 1629828216857
    }
  ]
}

Last updated